// 定义全局自定义指令
import Vue from 'vue'
 
const selectLazyLoad = function(Vue) {
  // el-select组件数据过多，使用翻页加载数据指令
  Vue.directive('selectLazyLoad', {
    bind(el, binding) {
      const SELECT_WRAP_DOM = el.querySelector('.el-select-dropdown .el-select-dropdown__wrap')
      SELECT_WRAP_DOM.addEventListener('scroll', function() {
        // toFixed：把this.scrollTop转换为整数，兼容不同版本浏览器
        const condition = this.scrollHeight - this.scrollTop.toFixed(0) - 5 <= this.clientHeight;
        if (condition) binding.value();
      })
    }
  })
}
 
if (window.Vue) {
  Vue.use(selectLazyLoad)
}
 
export default selectLazyLoad;